Merge lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470 into lp:ubuntu/lucid/gdebi

Proposed by Dylan McCall on 2010-07-26
Status: Merged
Merge reported by: James Westby
Merged at revision: not available
Proposed branch: lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470
Merge into: lp:ubuntu/lucid/gdebi
Diff against target: 628 lines (+80/-50)
26 files modified
GDebi/DebPackage.py (+1/-1)
debian/changelog (+7/-0)
po/bn.po (+3/-2)
po/ca.po (+3/-2)
po/cs.po (+3/-2)
po/da.po (+3/-2)
po/de.po (+3/-2)
po/es.po (+3/-3)
po/fi.po (+3/-2)
po/fr.po (+3/-2)
po/gdebi.pot (+3/-2)
po/hr.po (+3/-2)
po/hu.po (+3/-2)
po/id.po (+3/-2)
po/it.po (+3/-2)
po/ko.po (+3/-2)
po/ku.po (+3/-2)
po/nl.po (+3/-2)
po/pl.po (+3/-2)
po/pt.po (+3/-2)
po/pt_BR.po (+3/-2)
po/ru.po (+3/-2)
po/sk.po (+3/-2)
po/sr.po (+3/-2)
po/sv.po (+3/-2)
po/tr.po (+3/-2)
To merge this branch: bzr merge lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470
Reviewer Review Type Date Requested Status
Michael Vogt 2010-07-26 Approve on 2010-08-04
Review via email: mp+30971@code.launchpad.net

Description of the change

This is for bug #591470, changing a format string so that it won't crash gedit in some cases. More details in the bug report :)

To post a comment you must log in.
Sebastien Bacher (seb128) wrote :

Could somebody mark this one as merged, the bug has been updated now

Michael Vogt (mvo) wrote :

This is merged and uploaded

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'GDebi/DebPackage.py'
2--- GDebi/DebPackage.py 2010-03-09 10:15:03 +0000
3+++ GDebi/DebPackage.py 2010-07-26 17:31:19 +0000
4@@ -276,7 +276,7 @@
5 if not apt_pkg.CheckDep(debver,dep.relation,dep.version):
6 self._dbg(2, "would break (depends) %s" % pkg.name)
7 # TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
8- self._failureString += _("Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)s %i(depversion)s)") % {
9+ self._failureString += _("Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)s %(depversion)s)") % {
10 'pkgname' : pkg.name,
11 'depname' : dep.name,
12 'deprelation' : dep.relation,
13
14=== modified file 'debian/changelog'
15--- debian/changelog 2010-04-06 14:10:35 +0000
16+++ debian/changelog 2010-07-26 17:31:19 +0000
17@@ -1,3 +1,10 @@
18+gdebi (0.6.0ubuntu2) UNRELEASED; urgency=low
19+
20+ * cherry pick r314 from lp:~gdebi-developers/gdebi/trunk to
21+ fix format string crash (LP: #591470)
22+
23+ -- Dylan McCall <dylanmccall@ubuntu.com> Fri, 16 Jul 2010 15:17:52 -0700
24+
25 gdebi (0.6.0ubuntu1) lucid; urgency=low
26
27 * cherry pick r309 from lp:~gdebi-developers/gdebi/trunk to
28
29=== modified file 'po/bn.po'
30--- po/bn.po 2010-04-06 14:10:35 +0000
31+++ po/bn.po 2010-07-26 17:31:19 +0000
32@@ -8,7 +8,7 @@
33 msgstr ""
34 "Project-Id-Version: gdebi\n"
35 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
36-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
37+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
38 "PO-Revision-Date: 2006-05-06 09:57+0000\n"
39 "Last-Translator: Khandakar Mujahidul Islam <suzan@bengalinux.org>\n"
40 "Language-Team: Bengali <bn@li.org>\n"
41@@ -399,9 +399,10 @@
42
43 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
44 #: ../GDebi/DebPackage.py:279
45+#, python-format
46 msgid ""
47 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
48-"s %i(depversion)s)"
49+"s %(depversion)s)"
50 msgstr ""
51
52 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
53
54=== modified file 'po/ca.po'
55--- po/ca.po 2010-04-06 14:10:35 +0000
56+++ po/ca.po 2010-07-26 17:31:19 +0000
57@@ -8,7 +8,7 @@
58 msgstr ""
59 "Project-Id-Version: gdebi\n"
60 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
61-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
62+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
63 "PO-Revision-Date: 2006-03-27 21:18+0000\n"
64 "Last-Translator: Rosetta Administrators <rosetta@launchpad.net>\n"
65 "Language-Team: Catalan <ca@li.org>\n"
66@@ -415,9 +415,10 @@
67
68 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
69 #: ../GDebi/DebPackage.py:279
70+#, python-format
71 msgid ""
72 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
73-"s %i(depversion)s)"
74+"s %(depversion)s)"
75 msgstr ""
76
77 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
78
79=== modified file 'po/cs.po'
80--- po/cs.po 2010-04-06 14:10:35 +0000
81+++ po/cs.po 2010-07-26 17:31:19 +0000
82@@ -7,7 +7,7 @@
83 msgstr ""
84 "Project-Id-Version: gdebi\n"
85 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
86-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
87+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
88 "PO-Revision-Date: 2008-03-20 14:30+0100\n"
89 "Last-Translator: Kamil Páral <ripper42@gmail.com>\n"
90 "Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
91@@ -411,9 +411,10 @@
92
93 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
94 #: ../GDebi/DebPackage.py:279
95+#, python-format
96 msgid ""
97 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
98-"s %i(depversion)s)"
99+"s %(depversion)s)"
100 msgstr ""
101
102 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
103
104=== modified file 'po/da.po'
105--- po/da.po 2010-04-06 14:10:35 +0000
106+++ po/da.po 2010-07-26 17:31:19 +0000
107@@ -8,7 +8,7 @@
108 msgstr ""
109 "Project-Id-Version: gdebi\n"
110 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
111-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
112+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
113 "PO-Revision-Date: 2009-01-19 21:58+0000\n"
114 "Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
115 "Language-Team: Danish <dansk@dansk-gruppen.dk>\n"
116@@ -416,9 +416,10 @@
117
118 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
119 #: ../GDebi/DebPackage.py:279
120+#, python-format
121 msgid ""
122 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
123-"s %i(depversion)s)"
124+"s %(depversion)s)"
125 msgstr ""
126
127 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
128
129=== modified file 'po/de.po'
130--- po/de.po 2010-04-06 14:10:35 +0000
131+++ po/de.po 2010-07-26 17:31:19 +0000
132@@ -11,7 +11,7 @@
133 msgstr ""
134 "Project-Id-Version: gdebi 0.1.4\n"
135 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
136-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
137+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
138 "PO-Revision-Date: 2006-05-14 18:00+0000\n"
139 "Last-Translator: Sebastian Renner <sebastianrenner@gmx.li>\n"
140 "Language-Team: German <gnome-de@gnome.org>\n"
141@@ -417,9 +417,10 @@
142
143 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
144 #: ../GDebi/DebPackage.py:279
145+#, python-format
146 msgid ""
147 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
148-"s %i(depversion)s)"
149+"s %(depversion)s)"
150 msgstr ""
151
152 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
153
154=== modified file 'po/es.po'
155--- po/es.po 2010-04-06 14:10:35 +0000
156+++ po/es.po 2010-07-26 17:31:19 +0000
157@@ -31,7 +31,7 @@
158 msgstr ""
159 "Project-Id-Version: gdebi 0.5.9\n"
160 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
161-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
162+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
163 "PO-Revision-Date: 2009-11-08 03:43+0100\n"
164 "Last-Translator: Omar Campagne <ocampagne@gmail.com>\n"
165 "Language-Team: Debian l10n Spanish <debian-l10n-spanish@lists.debian.org>\n"
166@@ -442,10 +442,10 @@
167
168 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
169 #: ../GDebi/DebPackage.py:279
170-#, fuzzy
171+#, fuzzy, python-format
172 msgid ""
173 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
174-"s %i(depversion)s)"
175+"s %(depversion)s)"
176 msgstr "El paquete «%s» se rompe por la dependencia «%s» (%s %s)\n"
177
178 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
179
180=== modified file 'po/fi.po'
181--- po/fi.po 2010-04-06 14:10:35 +0000
182+++ po/fi.po 2010-07-26 17:31:19 +0000
183@@ -8,7 +8,7 @@
184 msgstr ""
185 "Project-Id-Version: gdebi\n"
186 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
187-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
188+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
189 "PO-Revision-Date: 2007-03-12 23:38+0200\n"
190 "Last-Translator: Timo Jyrinki <timo.jyrinki@iki.fi>\n"
191 "Language-Team: Finnish <gnome-fi-laatu@lists.sourceforge.net>\n"
192@@ -412,9 +412,10 @@
193
194 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
195 #: ../GDebi/DebPackage.py:279
196+#, python-format
197 msgid ""
198 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
199-"s %i(depversion)s)"
200+"s %(depversion)s)"
201 msgstr ""
202
203 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
204
205=== modified file 'po/fr.po'
206--- po/fr.po 2010-04-06 14:10:35 +0000
207+++ po/fr.po 2010-07-26 17:31:19 +0000
208@@ -7,7 +7,7 @@
209 msgstr ""
210 "Project-Id-Version: gdebi\n"
211 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
212-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
213+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
214 "PO-Revision-Date: 2006-05-16 22:21+0000\n"
215 "Last-Translator: Benoît Turpin <benoit.turpin@centrale-lyon.net>\n"
216 "Language-Team: French <debian-l10n-french@lists.debian.org>\n"
217@@ -416,9 +416,10 @@
218
219 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
220 #: ../GDebi/DebPackage.py:279
221+#, python-format
222 msgid ""
223 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
224-"s %i(depversion)s)"
225+"s %(depversion)s)"
226 msgstr ""
227
228 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
229
230=== modified file 'po/gdebi.pot'
231--- po/gdebi.pot 2010-04-06 14:10:35 +0000
232+++ po/gdebi.pot 2010-07-26 17:31:19 +0000
233@@ -8,7 +8,7 @@
234 msgstr ""
235 "Project-Id-Version: PACKAGE VERSION\n"
236 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
237-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
238+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
239 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
240 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
241 "Language-Team: LANGUAGE <LL@li.org>\n"
242@@ -393,9 +393,10 @@
243
244 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
245 #: ../GDebi/DebPackage.py:279
246+#, python-format
247 msgid ""
248 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
249-"s %i(depversion)s)"
250+"s %(depversion)s)"
251 msgstr ""
252
253 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
254
255=== modified file 'po/hr.po'
256--- po/hr.po 2010-04-06 14:10:35 +0000
257+++ po/hr.po 2010-07-26 17:31:19 +0000
258@@ -8,7 +8,7 @@
259 msgstr ""
260 "Project-Id-Version: gdebi\n"
261 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
262-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
263+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
264 "PO-Revision-Date: 2006-05-14 06:11+0000\n"
265 "Last-Translator: Ante Karamatić <ivoks@ubuntu.com>\n"
266 "Language-Team: Croatian <hr@li.org>\n"
267@@ -412,9 +412,10 @@
268
269 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
270 #: ../GDebi/DebPackage.py:279
271+#, python-format
272 msgid ""
273 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
274-"s %i(depversion)s)"
275+"s %(depversion)s)"
276 msgstr ""
277
278 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
279
280=== modified file 'po/hu.po'
281--- po/hu.po 2010-04-06 14:10:35 +0000
282+++ po/hu.po 2010-07-26 17:31:19 +0000
283@@ -7,7 +7,7 @@
284 msgstr ""
285 "Project-Id-Version: gdebi\n"
286 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
287-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
288+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
289 "PO-Revision-Date: 2006-04-11 20:19+0000\n"
290 "Last-Translator: Gabor Kelemen <kelemeng@gnome.hu>\n"
291 "Language-Team: Hungarian <hu@li.org>\n"
292@@ -414,9 +414,10 @@
293
294 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
295 #: ../GDebi/DebPackage.py:279
296+#, python-format
297 msgid ""
298 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
299-"s %i(depversion)s)"
300+"s %(depversion)s)"
301 msgstr ""
302
303 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
304
305=== modified file 'po/id.po'
306--- po/id.po 2010-04-06 14:10:35 +0000
307+++ po/id.po 2010-07-26 17:31:19 +0000
308@@ -7,7 +7,7 @@
309 msgstr ""
310 "Project-Id-Version: gdebi\n"
311 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
312-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
313+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
314 "PO-Revision-Date: 2006-05-16 08:00+0000\n"
315 "Last-Translator: Andy Apdhani <imtheface@gmail.com>\n"
316 "Language-Team: Indonesian <id@li.org>\n"
317@@ -411,9 +411,10 @@
318
319 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
320 #: ../GDebi/DebPackage.py:279
321+#, python-format
322 msgid ""
323 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
324-"s %i(depversion)s)"
325+"s %(depversion)s)"
326 msgstr ""
327
328 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
329
330=== modified file 'po/it.po'
331--- po/it.po 2010-04-06 14:10:35 +0000
332+++ po/it.po 2010-07-26 17:31:19 +0000
333@@ -8,7 +8,7 @@
334 msgstr ""
335 "Project-Id-Version: gdebi\n"
336 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
337-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
338+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
339 "PO-Revision-Date: 2006-05-08 15:32+0000\n"
340 "Last-Translator: Luca Ferretti <elle.uca@libero.it>\n"
341 "Language-Team: Italian <it@li.org>\n"
342@@ -414,9 +414,10 @@
343
344 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
345 #: ../GDebi/DebPackage.py:279
346+#, python-format
347 msgid ""
348 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
349-"s %i(depversion)s)"
350+"s %(depversion)s)"
351 msgstr ""
352
353 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
354
355=== modified file 'po/ko.po'
356--- po/ko.po 2010-04-06 14:10:35 +0000
357+++ po/ko.po 2010-07-26 17:31:19 +0000
358@@ -8,7 +8,7 @@
359 msgstr ""
360 "Project-Id-Version: gdebi\n"
361 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
362-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
363+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
364 "PO-Revision-Date: 2006-04-09 13:25+0000\n"
365 "Last-Translator: atie <atie.at.matrix@gmail.com>\n"
366 "Language-Team: Korean <ko@li.org>\n"
367@@ -410,9 +410,10 @@
368
369 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
370 #: ../GDebi/DebPackage.py:279
371+#, python-format
372 msgid ""
373 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
374-"s %i(depversion)s)"
375+"s %(depversion)s)"
376 msgstr ""
377
378 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
379
380=== modified file 'po/ku.po'
381--- po/ku.po 2010-04-06 14:10:35 +0000
382+++ po/ku.po 2010-07-26 17:31:19 +0000
383@@ -8,7 +8,7 @@
384 msgstr ""
385 "Project-Id-Version: gdebi\n"
386 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
387-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
388+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
389 "PO-Revision-Date: 2006-05-13 13:45+0000\n"
390 "Last-Translator: Erdal Ronahi <erdal.ronahi@gmail.com>\n"
391 "Language-Team: Kurdish <ku@li.org>\n"
392@@ -399,9 +399,10 @@
393
394 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
395 #: ../GDebi/DebPackage.py:279
396+#, python-format
397 msgid ""
398 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
399-"s %i(depversion)s)"
400+"s %(depversion)s)"
401 msgstr ""
402
403 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
404
405=== modified file 'po/nl.po'
406--- po/nl.po 2010-04-06 14:10:35 +0000
407+++ po/nl.po 2010-07-26 17:31:19 +0000
408@@ -9,7 +9,7 @@
409 msgstr ""
410 "Project-Id-Version: gdebi\n"
411 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
412-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
413+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
414 "PO-Revision-Date: 2006-04-11 19:00+0000\n"
415 "Last-Translator: Jan Claeys <ubuntu@janc.be>\n"
416 "Language-Team: Dutch <nl@li.org>\n"
417@@ -414,9 +414,10 @@
418
419 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
420 #: ../GDebi/DebPackage.py:279
421+#, python-format
422 msgid ""
423 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
424-"s %i(depversion)s)"
425+"s %(depversion)s)"
426 msgstr ""
427
428 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
429
430=== modified file 'po/pl.po'
431--- po/pl.po 2010-04-06 14:10:35 +0000
432+++ po/pl.po 2010-07-26 17:31:19 +0000
433@@ -8,7 +8,7 @@
434 msgstr ""
435 "Project-Id-Version: gdebi\n"
436 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
437-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
438+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
439 "PO-Revision-Date: 2006-04-18 19:26+0000\n"
440 "Last-Translator: Zygmunt Krynicki <zkrynicki@gmail.com>\n"
441 "Language-Team: Polish <pl@li.org>\n"
442@@ -413,9 +413,10 @@
443
444 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
445 #: ../GDebi/DebPackage.py:279
446+#, python-format
447 msgid ""
448 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
449-"s %i(depversion)s)"
450+"s %(depversion)s)"
451 msgstr ""
452
453 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
454
455=== modified file 'po/pt.po'
456--- po/pt.po 2010-04-06 14:10:35 +0000
457+++ po/pt.po 2010-07-26 17:31:19 +0000
458@@ -8,7 +8,7 @@
459 msgstr ""
460 "Project-Id-Version: gdebi\n"
461 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
462-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
463+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
464 "PO-Revision-Date: 2006-04-14 13:16+0000\n"
465 "Last-Translator: Rui Az. <astronomy@mail.pt>\n"
466 "Language-Team: Portuguese <pt@li.org>\n"
467@@ -412,9 +412,10 @@
468
469 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
470 #: ../GDebi/DebPackage.py:279
471+#, python-format
472 msgid ""
473 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
474-"s %i(depversion)s)"
475+"s %(depversion)s)"
476 msgstr ""
477
478 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
479
480=== modified file 'po/pt_BR.po'
481--- po/pt_BR.po 2010-04-06 14:10:35 +0000
482+++ po/pt_BR.po 2010-07-26 17:31:19 +0000
483@@ -8,7 +8,7 @@
484 msgstr ""
485 "Project-Id-Version: gdebi\n"
486 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
487-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
488+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
489 "PO-Revision-Date: 2006-05-10 16:51+0000\n"
490 "Last-Translator: Fábio Nogueira <deb-user-ba@ubuntu.com>\n"
491 "Language-Team: Portuguese (Brazil) <pt_BR@li.org>\n"
492@@ -410,9 +410,10 @@
493
494 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
495 #: ../GDebi/DebPackage.py:279
496+#, python-format
497 msgid ""
498 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
499-"s %i(depversion)s)"
500+"s %(depversion)s)"
501 msgstr ""
502
503 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
504
505=== modified file 'po/ru.po'
506--- po/ru.po 2010-04-06 14:10:35 +0000
507+++ po/ru.po 2010-07-26 17:31:19 +0000
508@@ -8,7 +8,7 @@
509 msgstr ""
510 "Project-Id-Version: gdebi\n"
511 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
512-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
513+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
514 "PO-Revision-Date: 2006-05-17 03:25+0000\n"
515 "Last-Translator: Igor Zubarev <igor4u@gmail.com>\n"
516 "Language-Team: Russian <ru@li.org>\n"
517@@ -412,9 +412,10 @@
518
519 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
520 #: ../GDebi/DebPackage.py:279
521+#, python-format
522 msgid ""
523 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
524-"s %i(depversion)s)"
525+"s %(depversion)s)"
526 msgstr ""
527
528 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
529
530=== modified file 'po/sk.po'
531--- po/sk.po 2010-04-06 14:10:35 +0000
532+++ po/sk.po 2010-07-26 17:31:19 +0000
533@@ -8,7 +8,7 @@
534 msgstr ""
535 "Project-Id-Version: gdebi\n"
536 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
537-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
538+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
539 "PO-Revision-Date: 2006-05-16 21:08+0000\n"
540 "Last-Translator: Peter Chabada <ubuntu@chabada.sk>\n"
541 "Language-Team: Slovak <sk@li.org>\n"
542@@ -412,9 +412,10 @@
543
544 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
545 #: ../GDebi/DebPackage.py:279
546+#, python-format
547 msgid ""
548 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
549-"s %i(depversion)s)"
550+"s %(depversion)s)"
551 msgstr ""
552
553 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
554
555=== modified file 'po/sr.po'
556--- po/sr.po 2010-04-06 14:10:35 +0000
557+++ po/sr.po 2010-07-26 17:31:19 +0000
558@@ -8,7 +8,7 @@
559 msgstr ""
560 "Project-Id-Version: gdebi\n"
561 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
562-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
563+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
564 "PO-Revision-Date: 2006-04-29 17:23+0000\n"
565 "Last-Translator: Jovan Turanjanin <jovan_turanjanin@yahoo.com>\n"
566 "Language-Team: Serbian <sr@li.org>\n"
567@@ -395,9 +395,10 @@
568
569 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
570 #: ../GDebi/DebPackage.py:279
571+#, python-format
572 msgid ""
573 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
574-"s %i(depversion)s)"
575+"s %(depversion)s)"
576 msgstr ""
577
578 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
579
580=== modified file 'po/sv.po'
581--- po/sv.po 2010-04-06 14:10:35 +0000
582+++ po/sv.po 2010-07-26 17:31:19 +0000
583@@ -7,7 +7,7 @@
584 msgstr ""
585 "Project-Id-Version: gdebi 0.1.4\n"
586 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
587-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
588+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
589 "PO-Revision-Date: 2006-04-23 13:00+0000\n"
590 "Last-Translator: Christian Bjälevik <nafallo@ubuntu.com>\n"
591 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
592@@ -409,9 +409,10 @@
593
594 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
595 #: ../GDebi/DebPackage.py:279
596+#, python-format
597 msgid ""
598 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
599-"s %i(depversion)s)"
600+"s %(depversion)s)"
601 msgstr ""
602
603 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation
604
605=== modified file 'po/tr.po'
606--- po/tr.po 2010-04-06 14:10:35 +0000
607+++ po/tr.po 2010-07-26 17:31:19 +0000
608@@ -7,7 +7,7 @@
609 msgstr ""
610 "Project-Id-Version: gdebi\n"
611 "Report-Msgid-Bugs-To: sebastian.heinlein@web.de\n"
612-"POT-Creation-Date: 2010-04-06 14:13+0200\n"
613+"POT-Creation-Date: 2010-07-16 16:03-0700\n"
614 "PO-Revision-Date: 2008-07-10 19:01+0200\n"
615 "Last-Translator: Mert Dirik <mertdirik@gmail.com>\n"
616 "Language-Team: Turkish <tr@li.org>\n"
617@@ -416,9 +416,10 @@
618
619 #. TRANSLATORS: the first '%s' is the package that breaks, the second the dependency that makes it break, the third the relation (e.g. >=) and the latest the version for the releation
620 #: ../GDebi/DebPackage.py:279
621+#, python-format
622 msgid ""
623 "Breaks existing package '%(pkgname)s' dependency %(depname)s (%(deprelation)"
624-"s %i(depversion)s)"
625+"s %(depversion)s)"
626 msgstr ""
627
628 #. TRANSLATORS: the first '%s' is the package that conflicts, the second the packagename that it conflicts with (so the name of the deb the user tries to install), the third is the relation (e.g. >=) and the last is the version for the relation

Subscribers

People subscribed via source and target branches

to all changes: